Request Account Closure OTP

Generate and send an OTP (One-Time Password) for profile deletion verification. This endpoint validates that the user is eligible for profile deletion and sends an OTP that will be required for the actual deletion process.

List of possible error codes:

CodeStatusTargetDescription
REQUIRED_WITH400accountIDThis field is required if fee is required
VALID_ACCOUNT400accountIDIncorrect account for debiting fee
ERROR_ACCOUNT_CREATION_PROCESS400commonCannot delete profile, accounts are being created
OTP_RATE_LIMITED400commonOTP rate limited - too many requests
FORBIDDEN403commonUser is not allowed to delete profile

Deletion blockers (422 status):
In case something prevents deletion of user (e.g. having balance in accounts or pending transactions) returns 422 response with array of blockers:

  • [422] POSITIVE_BALANCE - User has positive balance in accounts
  • [422] PENDING_TRANSACTIONS - User has pending transactions
  • [422] INSUFFICIENT_FUNDS_FOR_FEE - Insufficient funds to pay closure fee
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sends an OTP to the user's registered phone or email to verify the account closure request.

This endpoint is shared across Individual and Business Owner user types at the same URL:
POST /branches/private/v1/delete-profile-otp

Body Params
integer

Required if deletion fee is greater than zero. Account to debit the closure fee from.

Headers
string
required

Must be a token string with Bearer eg. Bearer refreshtoken123

Responses
200

Ok

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json